Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.common
Interface T3ServicesDef

Deprecated. Deprecated in WebLogic Server 6.1.

public interface T3ServicesDef

The T3ServicesDef interface defines WebLogic Services. Services within WebLogic implement methods from this interface. The methods in this interface provide access to a factory for its type of service or facility. An object factory for a service or facility is used in place of a constructor (as a "virtual constructor") to allocate resources in WebLogic.

A JNDI client can obtain a T3ServicesDef object by performing a lookup on weblogic.common.T3Services as shown below:

      T3ServicesDef t3 = (T3ServicesDef)
         ctx.lookup("weblogic.common.T3Services");

Author:
  Copyright (c) 1996-98 by WebLogic, Inc. All Rights Reserved., Copyright (c) 1999 by BEA WebXpress. All Rights Reserved.

Field Summary
`static java.lang.String` | `NAME` Deprecated.

Method Summary
`AdminServicesDef` | `admin()` Deprecated. Returns access to administrative services in WebLogic.
`IOServicesDef` | `io()` Deprecated. Returns access to IO services in WebLogic.
`weblogic.jdbc.common.JdbcServicesDef` | `jdbc()` Deprecated. Returns access to JDBC services in WebLogic.
`LogServicesDef` | `log()` Deprecated. Returns access to log file services in WebLogic.
`NameServicesDef` | `name()` Deprecated. Returns access to name services in WebLogic.
`TimeServicesDef` | `time()` Deprecated. Returns access to time services in WebLogic.

Field Detail

### NAME

    public static final java.lang.String NAME

  Deprecated.

Method Detail

### admin

    public AdminServicesDef admin()

  Deprecated.
  Returns access to administrative services in WebLogic.

### jdbc

    public weblogic.jdbc.common.JdbcServicesDef jdbc()

  Deprecated.
  Returns access to JDBC services in WebLogic.

### log

    public LogServicesDef log()

  Deprecated.
  Returns access to log file services in WebLogic.

### name

    public NameServicesDef name()

  Deprecated.
  Returns access to name services in WebLogic.

### io

    public IOServicesDef io()

  Deprecated.
  Returns access to IO services in WebLogic.

### time

    public TimeServicesDef time()

  Deprecated.
  Returns access to time services in WebLogic.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference